# Acknowledgements

The QGreenland project team acknowledges the following people, organizations,
and projects for making our work possible and enjoyable.

## Prior art

The [Quantarctica](https://www.npolar.no/en/quantarctica/) project inspired
QGreenland. Our innovation on this prior work is open-source and reproducible
package creation. Thank you!


## Funding

The U.S. National Science Foundation [grant
\#1928393](https://nsf.gov/awardsearch/showAward?AWD_ID=1928393) funded the
development of QGreenland versions `1.x` and `2.x`. Thank you!


## Editorial board

The [QGreenland Editorial Board](https://qgreenland.org/our-team) made it
possible for QGreenland to cover a wide variety of scientific disciplines at
high quality. Thank you!


## Open-source software

QGreenland would not have been possible without the following open-source
projects. This is not an exhaustive list -- if your project is listed in our
`environment-lock.yml` file, thank you!

* [QGIS](https://www.qgis.org/)
* [cmocean](https://github.com/matplotlib/cmocean)
* [Python](https://www.python.org)
* [Luigi](https://github.com/spotify/luigi)
* [GDAL](https://gdal.org)
* [Docker](https://www.docker.com/)


## Project Collaborators

QGreenland is developed by researchers, software developers, and education specialists
at the National Snow and Ice Data Center and Cooperative Institute for Research in
Environmental Sciences at the University of Colorado Boulder. The QGreenland project is
funded by the U.S. National Science Foundation EarthCube program under grant #1928393.
The QGreenland project is advised by an Editorial Board consisting of international content
experts in remote sensing and GIS, cryospheric and geologic sciences, ecology, climate
modeling, and more. Other project collaborators include: The Geological Survey of Denmark
and Greenland (De Nationale Geologiske Undersøgelser for Danmark og Grønland),
Technical University of Denmark (Dansmarks Tekniske Universitet), Danish Meteorological
Institute (Dansmarks Meteorologiske Institut), Asiaq - Greenland Survey, Norwegian Polar
Institute (Norsk Polarinstitutt), Arctic Data Committee, International Arctic Science Committee,
WWF-Danmark, U.S. Polar Geospatial Center, Greenland Ice Sheet Ocean Science Network,
N.S.F. Polar Computing RCN, and Isaafik. More information about the QGreenland team and
collaborators is available at the website [http://qgreenland.org](http://qgreenland.org). 
