# About the QGreenland project

Greenland-focused research, planning, and education crosses disciplinary
boundaries. With QGreenland, a free data-viewing platform, anyone can explore a
wide variety of Greenland-focused data identified by an [expert team and
Editorial Board](https://qgreenland.org/our-team>).

QGreenland is a United States National Science Foundation EarthCube-funded
effort (award
#[1928393](https://nsf.gov/awardsearch/showAward?AWD_ID=1928393&HistoricalAwards=false)).
Project development began in 2019, led by the [National Snow and Ice Data
Center](https://nsidc.org/), which is a part of the University of Colorado
Boulder [Cooperative Institute for Research in Environmental
Sciences](https://cires.colorado.edu/). The project is made possible through
the generous efforts of a wide range of collaborators.

The QGreenland Team believes in open and accessible resources. QGreenland is
built using free and open software, with development tools and workflows fully
documented on our [Github page](https://github.com/nsidc/qgreenland). We also
believe in FAIR (findable, accessible, interoperable, reproducible) data and
strive to include clear information about original data sources and complete
metadata. To the best of our ability, we aim to include data that are already
free and publicly archived.

As QGreenland development continues, we will be expanding our educational
resources, increasing optional data download options, and working to be as
responsive as possible to user feedback. We look forward to [hearing from
you](mailto:qgreenland.info@gmail.com).
