# User Glossary

A "user" is someone who uses QGreenland in QGIS.


## QGreenland Core

QGreenland Core is a large zip package curated to cover a broad variety of
disciplines within a reasonable file size.


## QGreenland Custom

QGreenland Custom is a QGIS plugin that enables users to download and use only
the QGreenland layers they are interested in.

In the future, QGreenland Custom will be capable of downloading "modules".


## QGreenland Modules

QGreenland modules are subsets of the QGreenland layers intended for more
targeted use. Modules include:

- QGreenland Core: Covers a wide variety of disciplines and scientific needs.
  Curated to be useful for the largest number of users.
- More coming soon...


## Defined Terms

- **Attribute**: Information about the components of a vector layer listed in tabular form. For
  example, a possible attribute of a point vector layer of cities is city name or population.

- **Coordinate Reference System (CRS)**: The system used to reference the x and y
  coordinates of a dataset.

- **Layer**: A set of data and its symbology.

- **GeoPackage Layer**: A collection of one or more data layers, including points,
  lines, and polygons, that are saved as a single file. A GeoPackage layer is an
  open format and platform-independent using SQLite.

- **Shapefile Layer**: A proprietary vector layer format (points, lines, polygons)
  developed and regulated by Esri, but usable in QGIS.

- **SpatialLite Layer**: A way to store an entire spatial database in one file; a spatial
  extension to SQLite, a relational database management system.

- **Temporary Scratch Layer**: A temporary layer formed as a result of a spatial
  query of analysis that is discarded when QGIS is closed.

- **Virtual Layer**: A specific kind of vector layer that results from an SQL query.

- **Layer** Group: A collection of multiple layers that are related to one another.

- **Raster**: A layer type consisting of grid cells or pixels, where each cell has a specified
  value.

- **Vector**: A layer type consisting of either points, lines, or polygons, where each point,
  line, or polygon has a unique set of attribute values.
