# Online layers reference

QGreenland can be enriched with layers provided by online services such as [Web
Map Service (WMS)](https://www.ogc.org/standards/wms), [Web Feature Service
(WFS)](https://www.ogc.org/standards/wfs), and [Web Coverage Service
(WCS)](https://www.ogc.org/standards/wcs). This document provides a list of
potentially useful resources that QGIS can connect to to provide layers via the
internet.

See the [How to add an online layer to QGIS](/user-how-to/online-layers.md) page
for information on how to utilize these resources.

* [The National Snow and Ice Data Center
  (NSIDC)](https://nsidc.org/map-services/geospatial-map-services) [WMS, WFS,
  WCS] provides access to a wide variety of datasets.

* The [Arctic Observing Viewer](https://arcticobservingviewer.org/web-services/)
  [WMS, WFS] provides observing sites associated with long-term monitoring
  activities in the circumarctic.
  
* The [Arctic Research Mapping Application](https://armap.org/web-services/)
  [WMS, WFS] provides a variety of reference layers such as Arctic cities and an
  Arctic base map.

* The [Geological Survey of Denmark and Greenland
  (GEUS)](http://maps.greenmin.gl/geusmap/ows/help/?mapname=greenland_portal)
  [WMS, WFS] provides various layers including a geological occurrence map. Note
  that GEUS requests that users of its services provide an email address as part
  of each request. Results may be limited during peak service hours.

* [The National Aeronautics and Space Administration (NASA)'s Global Imagery
  Browse Service
  (GIBS)](https://earthdata.nasa.gov/eosdis/science-system-description/eosdis-components/gibs)
  [WMS/WMTS] provides quick access to over 1000 satellite imagery products. For
  instructions on how to utilize GIBS with QGIS, see the [Earthdata Wiki on
  GIBS](https://wiki.earthdata.nasa.gov/display/GIBS/Geographic+Information+System+%28GIS%29+Usage#expand-QGIS)

* The [https://dataforsyningen.dk/data](https://dataforsyningen.dk/data)[WMS,
  WMTS, WFS, WCS] provides reference data from the Danish Agency for Data Supply
  and Infrastructure Data Portal (SDFI) and other partner insutitions. Users
  must register an account before accessing data. Note that the website is in
  Danish and can be translated to English via [Google
  Translate](https://translate.google.com/).
