# What is QGreenland?

![QGreenland examples](_images/qgreenland-examples.jpg)

QGreenland is a free and open-source Greenland-focused GIS environment for data
analysis and viewing, powered by [QGIS](https://qgis.org). QGreenland is
delivered in two ways:

1. **QGreenland Core**: a large Zip package containing a core set of data
   curated to serve the majority of users. This documentation page is about
   QGreenland Core.

2. **QGreenland Custom (beta)**: a QGIS plugin for downloading a custom set of
   data, including data which is not part of the QGreenland Core zip package
   (for example, due to filesize constraints). QGreenland Custom has its own
   [documentation](https://qgreenland-plugin.readthedocs.io).

Return to [QGreenland website](https://qgreenland.org)

# What QGreenland *is not*

* The QGreenland project is not a data-production project. While we do
  process existing data, it is only to enable efficient and effective viewing
  in the QGreenland QGIS environment.

* QGreenland is not a navigational aid.


# About QGIS

QGIS is a free and open source Geographic Information System (GIS) licensed under 
the GNU General Public License. QGreenland is designed to be used by a diverse user group, 
from scientists to planners and policymakers to educators, and more. QGreenland users 
are able to produce high-quality mapping products to meet their unique needs.
And because the QGreenland data package is downloaded right onto the user’s computer, 
QGreenland can be used in the field and in remote places without Internet access. 
Some additional larger datasets (e.g., satellite imagery) not included with the main 
QGreenland download package are available through online access when connected.
QGreenland was inspired by the free and open source [Quantarctica](https://www.npolar.no/en/quantarctica/) 
GIS data package for Antarctica.


# QGreenland Core Download Package

You will find the following files in the v2.0.0 QGreenland Core data package:
* Folders containing data layers organized by topic
* The main **qgreenland.qgs** project file
* **qgreenland.png** - The official QGreenland logo
* **layer_list.csv** - A complete list of all the data layers in the QGreenland Core download
  package, including information about each (data source, file size, etc.). This file can be
  opened with Microsoft Excel, LibreOffice Calc, a text editor, or a similar program.
* **UserGuide.pdf** - The full QGreenland Core User Guide
* **QuickStartGuide.pdf** - A one-page overview guide for experienced QGIS users on how
  to download the QGreenland Core data package and other information
* **STYLE.txt** - Guidelines and standards for QGreenland data layer styling
* **README.txt** - Brief description of the QGreenland data package
* **CHANGELOG.txt** - A log of changes made to the QGreenland data package


Please note that QGreenland Core v1.0.0 is the first stable public release version from this project.
The QGreenland Core v2.0.0 download package was released in March 2022.
Development versions along the way will continue to be available via the 
[website](http://qgreenland.org), with code fully documented on 
[GitHub](https://github.com/nsidc/qgreenland).

Although the v2.0.0 download package contains a full User Guide, updates and additions are constantly
being made to our documentation as we continue to develop QGreenland.
The most recent version of QGreenland documentation will always be available here on Read the Docs. 
