from qgreenland.config.project import project
from qgreenland.models.config.asset import RepositoryAsset
from qgreenland.models.config.dataset import Dataset

qgr_bounds = Dataset(
    id="qgr_bounds",
    assets=[
        RepositoryAsset(
            id="data",
            filepath=project.boundaries["data"].filepath,
        ),
        RepositoryAsset(
            id="background",
            filepath=project.boundaries["background"].filepath,
        ),
    ],
    metadata={
        "title": "QGreenland boundaries",
        "abstract": (
            """This boundary is used to subset many datasets for QGreenland."""
        ),
        "citation": {
            "text": ("""Generated by QGreenland."""),
            "url": "",
        },
    },
)
